"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _map = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/map"));

var _filter = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/filter"));

var _startsWith = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/starts-with"));

var _flat = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/flat"));

var _promise = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/promise"));

var _promises = require("fs/promises");

var _path = require("path");

var _access = _interopRequireDefault(require("../../../cmd/access"));

const getPackagePaths = async packagePath => {
  const nodeModulesPath = (0, _path.join)(packagePath, 'node_modules');
  const packagePaths = [packagePath];
  const isNodeModulesReadable = await (0, _access.default)(nodeModulesPath, 'readable');

  if (isNodeModulesReadable) {
    var _context, _context3;

    const files = await (0, _promises.readdir)(nodeModulesPath, {
      encoding: 'utf8',
      withFileTypes: true
    });
    const promises = (0, _map.default)(_context = (0, _filter.default)(files).call(files, file => {
      var _context2;

      return file.isDirectory() && !(0, _startsWith.default)(_context2 = file.name).call(_context2, '.');
    })).call(_context, folder => getPackagePaths((0, _path.join)(nodeModulesPath, folder.name)));
    packagePaths.push(...(0, _flat.default)(_context3 = await _promise.default.all(promises)).call(_context3));
  }

  return packagePaths;
};

var _default = getPackagePaths;
exports.default = _default;