"use strict";

var _Object$defineProperty = require("@babel/runtime-corejs3/core-js-stable/object/define-property");

var _interopRequireDefault = require("@babel/runtime-corejs3/helpers/interopRequireDefault");

_Object$defineProperty(exports, "__esModule", {
  value: true
});

exports.default = void 0;

var _includes = _interopRequireDefault(require("@babel/runtime-corejs3/core-js-stable/instance/includes"));

const isLicenseCompatible = props => {
  const {
    compatibleLicences,
    projectLicense,
    packageInfo
  } = props;
  const {
    license
  } = packageInfo;

  if (license.toUpperCase() === projectLicense) {
    return true;
  }

  return (0, _includes.default)(compatibleLicences).call(compatibleLicences, license.toUpperCase());
};

var _default = isLicenseCompatible;
exports.default = _default;